This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 725073 - Unmodified /etc/login.defs replaced on upgrade, breaking existing systems
Unmodified /etc/login.defs replaced on upgrade, breaking existing systems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1kAccounts
  Show dependency treegraph
 
Reported: 2011-07-22 14:35 EDT by Miloslav Trmač
Modified: 2011-07-25 09:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-25 09:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Preserve unmodified login.defs on upgrade (884.86 KB, patch)
2011-07-22 14:35 EDT, Miloslav Trmač
no flags Details | Diff
Preserve unmodified login.defs on upgrade (1.75 KB, patch)
2011-07-22 14:37 EDT, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Miloslav Trmač 2011-07-22 14:35:54 EDT
Created attachment 514765 [details]
Preserve unmodified login.defs on upgrade

Even with %config(noreplace) the configuration file is replaced when it was not modified by users.  This is correct behavior, but it means that the [GU]ID_MIN change from 500 to 1000 would break existing systems.

The attached patch adds scriptlets that manually preserve the old configuration.  The md5sum value matches the login.defs file shipped in Fedora 1[345].
Comment 1 Miloslav Trmač 2011-07-22 14:37:30 EDT
Created attachment 514766 [details]
Preserve unmodified login.defs on upgrade

Note You need to log in before you can comment on or make changes to this bug.